Virtual networks

Attach service

POST/v1/networking/virtual-networks/{id}/attachments

Attaches a service to the network on one of its segments.

Autorizaciones

  • Authorizationstringheaderobligatorio

    Organization API key (org_...), created in the cloud console at https://cloud.serverside.com and shown once, sent as Authorization: Bearer <key>. It authenticates as the organization.

Permiso necesario: organization.baremetal.networking

Parámetros de ruta

  • idstring<uuid>obligatorio

Cabeceras

  • Idempotency-Keystring

    Límites:length <= 200

Cuerpo

application/json
  • serviceIdstring<uuid>
  • segmentIdstring<uuid>obligatorio
  • isNativeboolean

Respuesta

202 · application/json

Accepted

  • successbooleanobligatorio

    Valores permitidos:true

  • dataobject | nullobligatorio